#uses "fwRPC/fwRPC_client.ctl"

/**
 * Do you have a handy function related to fwRPC? Don't know where to put? Here a place for it.
 * 
 * @author Matej Marecek, 2016
 */

/** 
 * Prints an error message in case the give error code indicates that something went wrong. 
 * @param errCode	(int)	IN - error code returned from "fwRPC_client_callSync"
 * @param funcName	(string)	IN - function name that failed
 * @param timeout	(int)	IN - what was the timeout of the call
 * @param optArgs	(mixed)	IN  is optional with default value '"no arguments"' - optional arguments of the function call
 * @return value of type 'bool' - true if an error was detected and printed
 */
public bool printErrMessageIfRPCCallWentWrong(const int errCode, const string funcName, const int timeout, const mixed optArgs = "no arguments")
{
	bool errDected = false;
	if(errCode == fwRPC_CLIENT_E_ERROR)
	{
		errDected = true;
		const string errMsg = "Error occurred during RPC call in the following function: ["+funcName+"].";
		DebugTN(errMsg, "Function called with arguments:", optArgs);
	}
	if(errCode == fwRPC_CLIENT_E_TIMEOUT)
	{
		errDected = true;
		const string errMsg = "RPC call of the following function: ["+funcName+"] did not finish in timeout: ["+timeout+"].";
		DebugTN(errMsg, "Function called with arguments:", optArgs);
	}
	return errDected;
}